- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Locale Class Reference

List of all members.

## Public Member Functions
| Locale (const LogString &language)
| Locale (const LogString &language, const LogString &country)
| Locale (const LogString &language, const LogString &country, const LogString &variant)
const LogString & | getLanguage () const
const LogString & | getCountry () const
const LogString & | getVariant () const
## Protected Member Functions
| Locale (const Locale &)
Locale & | operator= (const Locale &)
## Protected Attributes
const LogString | language
const LogString | country
const LogString | variant

## Constructor & Destructor Documentation

Locale | ( | const LogString & | language | ) |

Locale | ( | const LogString & | language,
|  | const LogString & | country
| ) |

Locale | ( | const LogString & | language,
|  | const LogString & | country,
|  | const LogString & | variant
| ) |

Locale | ( | const Locale & |  | ) | `[protected]`

## Member Function Documentation

const LogString& getCountry | ( |  | ) | const

const LogString& getLanguage | ( |  | ) | const

const LogString& getVariant | ( |  | ) | const

Locale& operator= | ( | const Locale & |  | ) | `[protected]`

## Member Data Documentation

const LogString country`[protected]`

const LogString language`[protected]`

const LogString variant`[protected]`

The documentation for this class was generated from the following file:

- locale.h